* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: cursive;
}
body {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    background-color: ghostwhite;
}
h1 {
    text-align: center;
}
.header {
    width: 100%;
    height: 80px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.container {
    margin: 30px 200px;
    width: 100%;
    height: 350px;
    background: linear-gradient(to bottom, #114957,#076462);
    border-radius: 8px;
    box-shadow: 0 2px 5px rgb(0 0 0 / 50%), inset 2px 2px 2px rgb(255 255 255 / 30%);
}
.data-container {
    width: auto;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}
.char-container {
    margin: auto;
    display: grid;
}
.txtCaracter {
    width: 100px;
    height: 100px;
    font-size: 3.5em;
    text-align: center;
}
.btn-container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}
.btnConvertir {
    margin: 20px 0 25px 0;
    top: 1.5px;
    left: 1.5px;
    width: calc(100% - 3px);
    height: calc(100% - 3px);
    background: linear-gradient(to bottom, #114957,#076462);
    border-radius: 8px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.5),
                inset 2px 2px 2px rgba(255, 255, 255, 0.3);
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1em;
    letter-spacing: 0.5px;
    font-weight: 500;
    cursor: pointer;
}
.btnConvertir:hover {
    color: #fff;
    text-shadow: 0 0 20px #fff;
    background: linear-gradient(to top, #114957,#076462);
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.5),
    inset 1px 1px 1px rgba(0, 0, 0, 0.4),
    inset -1px -1px 4px rgba(255, 255, 255, 0.2);
}
.result-container {
    margin: auto;
    display: grid;
}
.txtResult {
    width: 100px;
    height: 100px;
    font-size: 3.5em;
    text-align: center;
}
.title {
    padding: 8px 0;
    text-align: center;
    letter-spacing: 0.5px;
    font-size: 1.4em;
}
.checkBtn {
    position: relative;
    cursor: pointer;
}
.lblCheck {
    position: relative;
    margin: 4px;
    width: 100px;
    height: 30px;
}
input[type="radio"] {
    appearance: none;
    position: relative;
    display: block;
    width: 100%;
    height: 100%;
    background: #000;
    border-radius: 10px;
    cursor: pointer;
}
.lblCheck input[type="radio"]::before {
    content: '';
    position: absolute;
    top: 1.5px;
    left: 1.5px;
    width: calc(100% - 3px);
    height: calc(100% - 3px);
    background: linear-gradient(to bottom, #114957,#076462);
    border-radius: 8px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.5),
                inset 2px 2px 2px rgba(255, 255, 255, 0.3);
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 0.8em;
    font-weight: 500;
}
.lblCheck input[type="radio"]:checked::before {
    content: '';
    color: #fff;
    text-shadow: 0 0 10px #0f0;
    background: linear-gradient(to top, #114957,#076462);
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.5),
    inset 1px 1px 1px rgba(0, 0, 0, 0.4),
    inset -1px -1px 4px rgba(255, 255, 255, 0.2);
}
.lblCheck input[type="radio"]::after {
    content: '';
    position: absolute;
    top: 50%;
    right: 8px;
    transform: translateY(-50%);
    width: 8px;
    height: 8px;
    border-radius: 50%;
    background: #f00;
    box-shadow: 0 0 2px #f00,
    0 0 5px #f00,
    0 0 10px #f00,
    0 0 15px #f00;
}
.lblCheck input[type="radio"]:checked::after {
    background: #0f0;
    box-shadow: 0 0 2px #0f0,
    0 0 5px #0f0,
    0 0 10px #0f0,
    0 0 15px #0f0;
} 
.txtToASCII {
    position: relative;
    bottom: 26px;
    left: 10px;
    font-size: 14px;
    cursor: pointer;
}
.txtToChar {
    position: relative;
    bottom: 26px;
    left: 15px;
    cursor: pointer;
}
.footer-container {
    color: black;
    text-align: center;
    font-size: 18px;
    letter-spacing: 1px;
    position: fixed;
    bottom: 20px;
    width: 100%;
  }